/**
 * @typedef {import('pacc').AttributeDefinition} AttributeDefinition
 */
/**
 * Common attribute properties.
 * @type {AttributeDefinition}
 */
export const default_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const boolean_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const boolean_read_only_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const uuid_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const empty_attiribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const secret_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const count_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const size_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const name_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const url_attribute: AttributeDefinition;
/**
 * The description of the object content.
 * @type {AttributeDefinition}
 */
export const description_attribute: AttributeDefinition;
/**
 * Unique id within the provider.
 * @type {AttributeDefinition}
 */
export const id_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const state_attribute: AttributeDefinition;
/**
 * The description of the pull request.
 * @type {AttributeDefinition}
 */
export const body_attribute: AttributeDefinition;
/**
 * The one line description of the pull request.
 * @type {AttributeDefinition}
 */
export const title_attribute: AttributeDefinition;
/**
 * In case there are several providers able to support a given source which one sould be used ?
 * this defines the order.
 * @type {AttributeDefinition}
 */
export const priority_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const active_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const language_attribute: AttributeDefinition;
/**
 * @type {AttributeDefinition}
 */
export const type_attribute: AttributeDefinition;
export type AttributeDefinition = import('pacc').AttributeDefinition;
