/**
 * Repository hook.
 */
export class Hook extends OwnedObject {
    static defaultEvents: Set<string>;
    static get attributes(): {
        active: import("pacc").AttributeDefinition;
        secret: import("pacc").AttributeDefinition;
        url: {
            description: string;
            writable: boolean;
            type: string;
            isKey: boolean;
            mandatory: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            default?: any;
            set?: Function;
            get?: Function;
            env?: string | string[];
        };
        content_type: {
            default: string;
            writable: boolean;
            type: string;
            isKey: boolean;
            mandatory: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            set?: Function;
            get?: Function;
            env?: string | string[];
        };
        insecure_ssl: import("pacc").AttributeDefinition;
        events: {
            type: string;
            default: Set<string>;
        };
        id: import("pacc").AttributeDefinition;
        name: import("pacc").AttributeDefinition;
        description: import("pacc").AttributeDefinition;
    };
    static get delteteMethodName(): string;
}
import { OwnedObject } from "./owned-object.mjs";
