declare const SingleGroupProvider_base: {
    new (): {
        [x: string]: any;
        "__#2@#repositories": Map<any, any>;
        normalizeRepositoryName(name: string, forLookup: boolean): string;
        repository(name?: string): Promise<Repository>;
        repositories(patterns?: string | string[]): AsyncIterable<Repository>;
        lookup(type: string, name?: string, split?: Function, defaultItem?: any): Promise<import("./owned-object.mjs").OwnedObject>;
        list(type: string, patterns?: string | string[], split?: Function, defaultItem?: any): AsyncIterable<import("./owned-object.mjs").OwnedObject>;
        createRepository(name: string, options?: any): Promise<Repository>;
        addRepository(name: string, options?: any): Promise<Repository>;
        _addRepository(repository: any): void;
        deleteRepository(name: string): Promise<any>;
        initializeRepositories(): void;
        branch(name: string): Promise<import("./branch.mjs").Branch>;
        branches(patterns?: string | string[]): AsyncIterable<import("./branch.mjs").Branch>;
        tag(name: any): Promise<import("./owned-object.mjs").OwnedObject>;
        tags(patterns: any): AsyncGenerator<import("./owned-object.mjs").OwnedObject, void, undefined>;
        pullRequest(name: any): Promise<import("./owned-object.mjs").OwnedObject>;
        pullRequests(patterns: any): AsyncGenerator<import("./owned-object.mjs").OwnedObject, void, undefined>;
        project(name: any): Promise<import("./owned-object.mjs").OwnedObject>;
        projects(patterns: any): AsyncGenerator<import("./owned-object.mjs").OwnedObject, void, undefined>;
        application(name: any): Promise<import("./owned-object.mjs").OwnedObject>;
        applications(patterns: any): AsyncGenerator<import("./owned-object.mjs").OwnedObject, void, undefined>;
        milestone(name: any): Promise<import("./owned-object.mjs").OwnedObject>;
        milestones(patterns: any): AsyncGenerator<import("./owned-object.mjs").OwnedObject, void, undefined>;
        hook(name: any): Promise<import("./owned-object.mjs").OwnedObject>;
        hooks(patterns: any): AsyncGenerator<import("./owned-object.mjs").OwnedObject, void, undefined>;
    };
    [x: string]: any;
};
/**
 * Provider holding a single set of repositories (no repository groups).
 */
export class SingleGroupProvider extends SingleGroupProvider_base {
    /**
     * Lookup a repository in the provider and all of its repository groups.
     * @param {string} name of the repository
     * @return {Promise<Repository|undefined>}
     */
    repository(name: string): Promise<Repository | undefined>;
    /**
     * Get a single group.
     * @param {string} name
     * @return {Promise<RepositoryGroup|undefined>} deliver the one and only present group
     */
    repositoryGroup(name: string): Promise<RepositoryGroup | undefined>;
    /**
     * List groups.
     * @param {string[]|string|undefined} patterns
     * @return {AsyncIterable<RepositoryGroup>} always deliver the one and only present group
     */
    repositoryGroups(patterns: string[] | string | undefined): AsyncIterable<RepositoryGroup>;
}
import { Repository } from "./repository.mjs";
import { RepositoryGroup } from "./repository-group.mjs";
export {};
